/*
 * rtc_i2c.h
 *
 * Created: 2015-04-09 14:16:20
 *  Author: dsosnowski
 */ 


#ifndef RTC_I2C_H_
#define RTC_I2C_H_


void RtcInit(void);
void RtcConfig(void);
void RtcStop(void);
char *RtcRead(void);
void RtcSet(char *src);
void Rtc2Buff(void);

void i2c_init(void);
char i2c_open(char address);
char i2c_read(char* dest_pt, char ack);
char i2c_write(char data);
void i2c_stop(void);




#endif /* RTC_I2C_H_ */