/*
 * ui.h
 *
 * Created: 2015-04-10 14:54:26
 *  Author: dsosnowski
 */ 


#ifndef UI_H_
#define UI_H_

void UiDispInit(void);
char *UiDispClockGet(void);

void UiDispDirec(char d1, char d2, char d3, char d4, char d5, char d6);
void UiDispClock(char *clock);
void UiDispDate(char *clock);
void UiDispTemp(int16_t d);
void UiDispConfigTimeZone(char *src);
void UiDispConfigGps(char *src);
void UiDispConfigTemp(char *src);
void UiDispMask(char mask);

void UiSendAllClock(char *clock);
void UiSendDay(char *clock);
void UiSendLeap(char *clock);

void UiKbdInit(void);
char UiKbdScan(void);
char UiKbdGet(char clear);
char UiKbdState(void);

void UIBrightness(void);

#define UI_SWITCH1			1
#define UI_SWITCH2			2
#define UI_SWITCH_HOLD		16



#endif /* UI_H_ */